/* 見た目のバイト数を数える */

#include "deftype.h"

int klen2(unchar *str)
{
unchar c;
unint len=0;
	while ((c=*str++)!=0) {
		len++;
		if (check_kanji1(c)) { /* この文字は２バイト文字 */
			str++; /* ２バイト目スキップ */
			if (!is24(c)) len++; /* 全角文字 */
			/* １／２、１／４角文字は１バイトと数える */
		}
	}
	return(len);
}
